Cyberduck Mountain Duck CLI

#10706 closed defect (fixed)

FTP and only one connection

Reported by: ryann Owned by:
Priority: normal Milestone: 7.0
Component: ftp Version: 6.9.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description (last modified by dkocher)

Hi,

it seems that the options "Use browser connection" or "Use single connection" (in preferences > Transfers) do not really force Cyberduck into using only one FTP connection.

I use a FTP server that accepts only one connection at a time from the same IP.

I tried both above settings, and I always get an error in Cyberduck (see attached image) when I start a transfer (download or upload) while the Cyberduck browser is open without problem.

Cyberduck error when starting a transfer (with browser already open)

I checked manually (with the command line "ftp" : no problem to make a transfer). I also tried to manually start a transfer (while Cyberduck is open with a browser connected to my FTP server) then the command-line ftp gives me the clear reason:

421 There are too many connections from your internet address.

Therefore this raises two conclusions:

  1. Cyberduck should give the whole error message (and not only the error code 421) that would make it easier to understand in such a case.
  2. Cyberduck should not open a second connection (in addition to the one for the browser) when the preferences are set so.

Is it possible to ensure that attended behaviour with one of the two mentioned preferences (or with both)?

Attachments (1)

image_01.png (66.2 KB) - added by ryann on May 19, 2019 at 10:45:24 PM.
Cyberduck error when starting a transfer (with browser already open)

Download all attachments as: .zip

Change History (10)

Changed on May 19, 2019 at 10:45:24 PM by ryann

Cyberduck error when starting a transfer (with browser already open)

comment:1 Changed on May 19, 2019 at 10:53:01 PM by ryann

  • Description modified (diff)

comment:2 Changed on May 22, 2019 at 1:40:29 PM by dkocher

  • Milestone set to 6.9.5
  • Resolution set to fixed
  • Status changed from new to closed

In r46667. Please update to the latest snapshot build available.

comment:3 Changed on May 22, 2019 at 11:17:51 PM by ryann

After updating to the latest snapshot nightly build -- Version 7.0.0 (30730) -- I still observe the same problem of Cyberduck making my FTP server raise a FTP error 421 by opening more than one connection.

comment:4 Changed on May 23, 2019 at 7:02:53 AM by dkocher

  • Description modified (diff)

comment:5 Changed on May 23, 2019 at 7:03:14 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:6 Changed on May 23, 2019 at 7:30:20 AM by dkocher

Regression from r46374.

comment:7 Changed on May 23, 2019 at 2:36:57 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r47083, r47081.

comment:8 Changed on May 24, 2019 at 7:10:30 PM by ryann

I confirm that this is fixed with the new snapshot build: Version 7.0.0 (30769). Many thanks.

comment:9 Changed on Jun 4, 2019 at 2:20:54 PM by dkocher

  • Milestone changed from 6.9.5 to 7.0

Ticket retargeted after milestone deleted

Note: See TracTickets for help on using tickets.